Get Services Config Propagation Task

Get Services Config Propagation Task
Get services config propagation task by ID

Get services config propagation task by ID

Request
URI
GET
https://{api_host}/v1/services-config/propagation/tasks/{taskId}
COPY
Path Parameters
string
taskId
Required  

Task id


Responses
200

Success

Returns ServicesConfigPropagationTask of type(s) application/json
{
    "taskId": "string",
    "description": "string",
    "status": "One among: IN_PROGRESS, SUCCEEDED, FAILED",
    "errorResponse": {
        "errorCode": "string",
        "errorType": "string",
        "arguments": [
            "string"
        ],
        "context": {
            "context": "string"
        },
        "notifications": [
            {
                "severity": "string",
                "message": "string",
                "remediations": [
                    {
                        "message": "string",
                        "link": "string"
                    }
                ],
                "impactMessage": "string"
            }
        ],
        "message": "string",
        "remediationMessage": "string",
        "causes": [
            {
                "type": "string",
                "message": "string"
            }
        ],
        "nestedErrors": [
            {
                "errorCode": "string",
                "errorType": "string",
                "arguments": [
                    "string"
                ],
                "context": {
                    "context": "string"
                },
                "notifications": [
                    {
                        "severity": "string",
                        "message": "string",
                        "remediations": [
                            {
                                "message": "string",
                                "link": "string"
                            }
                        ],
                        "impactMessage": "string"
                    }
                ],
                "message": "string",
                "remediationMessage": "string",
                "causes": [
                    {
                        "type": "string",
                        "message": "string"
                    }
                ],
                "nestedErrors": [
                    {
                        "errorCode": "string",
                        "errorType": "string",
                        "arguments": [
                            "string"
                        ],
                        "context": {
                            "context": "string"
                        },
                        "notifications": [
                            {
                                "severity": "string",
                                "message": "string",
                                "remediations": [
                                    {
                                        "message": "string",
                                        "link": "string"
                                    }
                                ],
                                "impactMessage": "string"
                            }
                        ],
                        "message": "string",
                        "remediationMessage": "string",
                        "causes": [
                            {
                                "type": "string",
                                "message": "string"
                            }
                        ],
                        "nestedErrors": [
                            "Error Object"
                        ],
                        "referenceToken": "string",
                        "label": "string",
                        "remediationUrl": "string"
                    }
                ],
                "referenceToken": "string",
                "label": "string",
                "remediationUrl": "string"
            }
        ],
        "referenceToken": "string",
        "label": "string",
        "remediationUrl": "string"
    }
}
string
taskId
Required   Read-Only  

ID of the services config propagation task

string
description
Required   Read-Only  
Constraints: minLength: 1

Description of the services config propagation operation

string
status
Required   Read-Only  

Status of the services config propagation task

object
errorResponse
Optional

Error response containing a minor error code, a localized error message, a localized remediation message and optionally a reference token to correlate the error with the logs


400

Bad Request

Returns Error of type(s) application/json
"Error Object"
string
errorCode
Read-Only  

The minor error code

string
errorType
Read-Only  

The error type

array of string
arguments
Read-Only  

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Read-Only  

The error context (e.g. the component where it occurred).

array of object
notifications
Read-Only  

Detailed results of the precheck validation.

string
message
Read-Only  

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of Error
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Read-Only  

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.

string
label
Read-Only  

The localized label message

string
remediationUrl
Read-Only  

The URL string for remediation documentation link


500

Internal Server Error

Returns Error of type(s) application/json
"Error Object"
string
errorCode
Read-Only  

The minor error code

string
errorType
Read-Only  

The error type

array of string
arguments
Read-Only  

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Read-Only  

The error context (e.g. the component where it occurred).

array of object
notifications
Read-Only  

Detailed results of the precheck validation.

string
message
Read-Only  

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of Error
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Read-Only  

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.

string
label
Read-Only  

The localized label message

string
remediationUrl
Read-Only  

The URL string for remediation documentation link


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/v1/services-config/propagation/tasks/{taskId}